[youtubei.js](../../../../README.md) / [Generator](../README.md) / parse

# Function: parse()

> **parse**(`key`, `inference_type`, `data`, `key_path`): `any`

Defined in: [src/parser/generator.ts:681](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/generator.ts#L681)

Parse a value from a given key path using the given inference type

## Parameters

### key

`string`

The key to parse

### inference\_type

[`InferenceType`](../type-aliases/InferenceType.md)

The inference type to parse

### data

`unknown`

The data to parse from

### key\_path

`string`[] = `...`

The path to the key (excluding the key itself)

## Returns

`any`

The parsed value
